From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/sgb/
Date: Sat, 9 Nov 2019 11:45:59 +0000 (UTC) [thread overview]
Message-ID: <1573299945.016ad58a39ab8f971b99e2d5f4e6f8240d2ffa32.mgorny@gentoo> (raw)
commit: 016ad58a39ab8f971b99e2d5f4e6f8240d2ffa32
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 9 11:37:01 2019 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov 9 11:45:45 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=016ad58a
dev-util/sgb: Bump to EAPI 7
Closes: https://bugs.gentoo.org/697328
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-util/sgb/sgb-20030623-r1.ebuild | 59 ++++++++++++++++++++++++++++++++++++
dev-util/sgb/sgb-20030623.ebuild | 60 -------------------------------------
2 files changed, 59 insertions(+), 60 deletions(-)
diff --git a/dev-util/sgb/sgb-20030623-r1.ebuild b/dev-util/sgb/sgb-20030623-r1.ebuild
new file mode 100644
index 00000000000..65303742afc
--- /dev/null
+++ b/dev-util/sgb/sgb-20030623-r1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Stanford GraphBase"
+HOMEPAGE="ftp://labrea.stanford.edu/pub/sgb/"
+SRC_URI="ftp://labrea.stanford.edu/pub/sgb/sgb-${PV:0:4}-${PV:4:2}-${PV:6:2}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc x86"
+IUSE=""
+
+DEPEND="virtual/tex-base"
+
+S="${WORKDIR}"
+
+PATCHES=(
+ "${FILESDIR}"/sgb-20030623-parallel-make-fix.patch
+ "${FILESDIR}"/sgb-20030623-destdir.patch
+)
+
+src_compile() {
+ local vars=(
+ CFLAGS="${CFLAGS}"
+ SGBDIR=/usr/share/${PN}
+ INCLUDEDIR=/usr/include/sgb
+ LIBDIR=/usr/$(get_libdir)
+ BINDIR=/usr/bin
+ #CWEBINPUTS=/usr/share/${PN}/cweb
+ #LDFLAGS="${LDFLAGS}"
+ )
+ # bug #299028
+ emake -j1 "${vars[@]}" lib demos tests
+}
+
+src_test() {
+ emake tests
+}
+
+src_install() {
+ local vars=(
+ SGBDIR=/usr/share/${PN}
+ INCLUDEDIR=/usr/include/sgb
+ LIBDIR=/usr/$(get_libdir)
+ BINDIR=/usr/bin
+ CFLAGS="${CFLAGS}"
+ # TODO: why are they commented out above?
+ LDFLAGS="${LDFLAGS}"
+ CWEBINPUTS=/usr/share/${PN}/cweb
+ )
+ emake DESTDIR="${D}" "${vars[@]}" install
+
+ # we don't need no makefile
+ rm "${D}"/usr/include/sgb/Makefile || die
+
+ dodoc ERRATA README
+}
diff --git a/dev-util/sgb/sgb-20030623.ebuild b/dev-util/sgb/sgb-20030623.ebuild
deleted file mode 100644
index 9c6726cd8d9..00000000000
--- a/dev-util/sgb/sgb-20030623.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=0
-
-inherit eutils multilib
-
-DESCRIPTION="Stanford GraphBase"
-HOMEPAGE="ftp://labrea.stanford.edu/pub/sgb/"
-SRC_URI="ftp://labrea.stanford.edu/pub/sgb/sgb-${PV:0:4}-${PV:4:2}-${PV:6:2}.tar.gz"
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc x86"
-IUSE=""
-DEPEND="virtual/tex-base"
-S="${WORKDIR}"
-
-src_unpack() {
- unpack ${A}
- epatch "${FILESDIR}"/sgb-20030623-parallel-make-fix.patch
- epatch "${FILESDIR}"/sgb-20030623-destdir.patch
-}
-
-src_compile() {
- # bug #299028
- emake -j1 \
- CFLAGS="${CFLAGS}" \
- SGBDIR=/usr/share/${PN} \
- INCLUDEDIR=/usr/include/sgb \
- LIBDIR=/usr/$(get_libdir) \
- BINDIR=/usr/bin \
- CFLAGS="${CFLAGS}" \
- lib demos tests || die "Failed to build"
- #CWEBINPUTS=/usr/share/${PN}/cweb \
- #LDFLAGS="${LDFLAGS}" \
-}
-
-src_install() {
- dodir /usr/share/${PN} /usr/include/sgb /usr/lib /usr/bin /usr/share/${PN}/cweb
- emake \
- DESTDIR="${D}" \
- SGBDIR=/usr/share/${PN} \
- INCLUDEDIR=/usr/include/sgb \
- LIBDIR=/usr/$(get_libdir) \
- BINDIR=/usr/bin \
- CFLAGS="${CFLAGS}" \
- LDFLAGS="${LDFLAGS}" \
- CWEBINPUTS=/usr/share/${PN}/cweb \
- install \
- || die "Failed to install"
-
- # we don't need no makefile
- rm "${D}"/usr/include/sgb/Makefile
-
- dodoc ERRATA README
-}
-
-src_test() {
- emake tests
-}
next reply other threads:[~2019-11-09 11:46 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-11-09 11:45 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-10-24 19:26 [gentoo-commits] repo/gentoo:master commit in: dev-util/sgb/ Sam James
2020-04-05 21:58 Robin H. Johnson
2020-04-05 21:58 Robin H. Johnson
2018-08-26 11:01 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1573299945.016ad58a39ab8f971b99e2d5f4e6f8240d2ffa32.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox